IPCMK(1)

NAME
ipcmk - make various IPC resources

SYNOPSIS

ipcmk [options]

DESCRIPTION

ipcmk allows you to create System V inter-process communication (IPC) objects: shared memory segments, message queues, and semaphore arrays.

OPTIONS

Resources can be specified with these options:

-M, --shmem size
    Create a shared memory segment of size bytes. The size argument may be followed by the multiplicative suffixes KiB (=1024), MiB (=1024*1024), and so on for GiB, etc. (the "iB" is optional, e.g., "K" has the same meaning as "KiB") or the suffixes KB (=1000), MB (=1000*1000), and so on for GB, etc.

-Q, --queue
    Create a message queue.

-S, --semaphore number
    Create a semaphore array with number of elements.

Other options are:

-p, --mode mode
    Access permissions for the resource. Default is 0644.

-V, --version
    Display version information and exit.

-h, --help
    Display help text and exit.

AUTHORS

SEE ALSO

ipcrm(1), ipcs(1), sysvipc(7)

REPORTING BUGS

For bug reports, use the issue tracker at

AVAILABILITY

The ipcmk command is part of the util-linux package which can be downloaded from